Bug 53025 - asm constraints error in 2.96-95 but not other gcc's
asm constraints error in 2.96-95 but not other gcc's
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2001-09-01 20:57 EDT by Alan Cox
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-11 18:55:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gcc -E output (435.73 KB, text/plain)
2001-09-01 21:07 EDT, Alan Cox
no flags Details

  None (edit)
Description Alan Cox 2001-09-01 20:57:08 EDT
Code that builds with other gcc versions is failing in one specific case.
When building opengfs with gcc 2.96-* I get asm constraint errors. Now this
may well be the asm that is wrong but this is the kernel down_read asm that
works elsewhere and folks say is ok..

I've attached the gcc -E file so you can play with it, with egcs its fine,
with 2.95 its apparently fine, with 2.96 -O0 its ok -O2 its not

Thoughts ? (and sorry in advance if its the kernel code thats wrong)

Comment 1 Alan Cox 2001-09-01 21:07:16 EDT
Created attachment 30574 [details]
gcc -E output
Comment 2 Jakub Jelinek 2001-09-03 12:47:16 EDT
See http://gcc.gnu.org/ml/gcc-patches/2001-09/msg00049.html
for a fix. I'll wait until it gets reviewed before putting it in though.
Comment 3 Jakub Jelinek 2001-09-06 12:04:12 EDT
Should be fixed in gcc-2.96-98.

Note You need to log in before you can comment on or make changes to this bug.